import { database } from '@/lib/database';
import { builder } from '../builder';
import { Game } from '@prisma/client';

builder.prismaObject('Game', {
  fields: (t) => ({
    id: t.exposeID('uuid'),
    title: t.exposeString('title'),
    system: t.exposeString('system')
  })
});


builder.queryField('games', (t) => (
  t.prismaField({
    type: [ 'Game' ],
    resolve: (q) => database.game.findMany({ ...q })
  })
));

builder.queryField('game', (t) => (
  t.prismaField({
    type: 'Game',
    args: { id: t.arg.string() },
    resolve: (q, _p, { id }) => {
      if(!id) return null;
      return database.game.findUnique({ where: { uuid: id } })
    }
  })
));