import { GetServerSideProps } from 'next';
import { Emulator } from '@/components/Emulator';
import styles from './play.module.scss';

type PageParams = {
  id:string;
}

type PageProps = {
  id:string;
}

export const getServerSideProps:GetServerSideProps = async ({ params }) => {
  const { id } = params as PageParams;

  return {
    props: {
      id
    },
  };
};

export const Page:React.FC<PageProps> = ({ id }) => {
  return (
    <div className={styles.play}>
      <h1>Playing Game ID: {id}</h1>
      
      <div className={styles.play__emulator}>
        <Emulator
          system="gbc"
          gameId="0"
          gameName="Pokemon Crystal Version"
        />
      </div>
    </div>
  );
};

export default Page;